> ## Documentation Index
> Fetch the complete documentation index at: https://docs-stage.bglobale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# SendAdditionalRequiredDocumentsToMerchant (Global-e to Merchant)

> Posts the required shipping documents of the order to the Merchant’s site.

<Note>
  Part of the [Export Documents](/export-documents) integration guide — see it for when and how to use this endpoint.
</Note>

Posts the required shipping documents of the order to the merchant's site. This notification informs the merchant that the documents previously listed in the [SendOrderToMerchant](/api-reference/send-order-to-merchant) notification (under `AdditionalRequiredDocuments`), and generated via `CreateAdditionalRequiredDocuments`, are ready. The document content is included in this notification, base64-encoded.

<Info>
  This API is part of Global-e's extensions and plug-ins. Merchants do not need to implement it unless a custom integration is required.
</Info>

## Security Requirements

* IP whitelist
* Secret GUID
* Authorization header


## OpenAPI

````yaml api-reference/specs/sendadditionalrequireddocumentstomerchant.yaml POST /send-additional-required-documents-url
openapi: 3.0.3
info:
  title: SendAdditionalRequiredDocumentsToMerchant (Global-e to Merchant)
  version: 1.0.0
  description: >-
    Posts the required shipping documents of the order to the Merchant’s site.
    This notification informs the Merchant that the documents previously listed
    in SendorderToMerchant notification (under AdditionalRequiredDcouments),
    initiated by calling CreateAdditionalRequiredDcouments, are ready. The
    document's content is included in this notification.
  x-scaled-review: true
servers:
  - url: https://{merchant_site_domain}
    variables:
      merchant_site_domain:
        default: www.merchant-site-domain.com
        description: >-
          The merchant's site domain hosting the
          send-additional-required-documents endpoint.
security: []
tags:
  - name: SendAdditionalRequiredDocumentsToMerchant (Global-e to Merchant)
    x-page-title: SendAdditionalRequiredDocumentsToMerchant (Global-e to Merchant)
  - name: 'Direction: Global-e → Merchant'
  - name: 'Domain: Orders'
paths:
  /send-additional-required-documents-url:
    post:
      tags:
        - SendAdditionalRequiredDocumentsToMerchant (Global-e to Merchant)
      summary: SendAdditionalRequiredDocumentsToMerchant (Global-e to Merchant)
      description: >-
        Posts the required shipping documents of the order to the Merchant’s
        site. This notification informs the Merchant that the documents
        previously listed in SendorderToMerchant notification (under
        AdditionalRequiredDcouments), initiated by calling
        CreateAdditionalRequiredDcouments, are ready. The document's content is
        included in this notification.
      operationId: sendAdditionalRequiredDocumentsToMerchant
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/SendAdditionalRequiredDocumentsToMerchantRequest
            example:
              OrderId: Sample order id
              MerchantOrderId: Sample order id from the merchant’s system
              CountryCode: US
              AdditionalRequiredDocuments:
                - TrackingNumber: '98789723874839'
                  DocumentData: base 64 string
                  URL: URL do download document
                  DocumentTypeCode: '11'
                  DocumentTypeName: EAD
                  DocumentExtension: pdf
                  DocumentReference: 24DE85123822923B8
                  CreationDateTime: '2024-01-30T10:55:21'
      responses:
        '200':
          description: Response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseInfo'
              example:
                StatusCode: '200'
                Success: 'true'
                Message: ...
                ErrorCode: ...
                ErrorText: ...
components:
  schemas:
    SendAdditionalRequiredDocumentsToMerchantRequest:
      type: object
      title: SendAdditionalRequiredDocumentsToMerchantRequest
      description: Additional documents to send to merchant
      properties:
        AdditionalRequiredDocuments:
          type: array
          description: Additional documents which are required to ship the order
          items:
            $ref: '#/components/schemas/OrderDocument'
        CountryCode:
          type: string
          description: 2-char ISO country code
        MerchantOrderId:
          type: string
          description: >-
            Order unique identifier on the Merchant’s site returned from a
            previous call to the SendOrderToMerchant method for this order
        OrderId:
          type: string
          description: Global‑e’s order id
    ResponseInfo:
      type: object
      title: ResponseInfo
      properties:
        StatusCode:
          type: string
        Success:
          type: boolean
        Message:
          type: string
        ErrorCode:
          type: string
        ErrorText:
          type: string
    OrderDocument:
      type: object
      title: OrderDocument
      properties:
        CreationDateTime:
          type: string
          format: date-time
          description: The date and time the document was created.
        DocumentData:
          type: string
          description: Base64 encoded byte array representing the document file content.
        DocumentExtension:
          type: string
          x-gem-only: true
          description: Document extension (PDF, ZPL, EPL).
        DocumentReference:
          type: string
          description: >-
            The reference provided by the government authorities to this
            document (such as MRN or ITN number).
        DocumentTypeCode:
          type: string
          x-gem-only: true
          description: >-
            Document type code, this value can be: CommercialInvoice = 1,
            PackingList = 2, ShipperManifest = 3, Label = 4, VATInvoice = 5,
            DangerousGoodDeclarationLink = 6, GELabel = 7,
            CustomerReceiptInvoice = 8, ArchibeLabel = 9, DeliveryAdvice = 10,
            EAD = 11
        DocumentTypeName:
          type: string
          x-gem-only: true
          description: >-
            Document type name, e.g. AWB, CommercialInvoiceAndPackingList or
            Manifest.
        ErrorMessage:
          type: string
          x-gem-only: true
          description: >-
            Description of the error for this entity (order/parcel) if it
            happened.
        ParcelCode:
          type: string
          description: The parcel code related to the document.
        ShippingServiceName:
          type: string
          description: >-
            The name of the shipping service for this document (relevant for
            DispatchOrders and DispatchConsolidatedShipment).
        TrackingNumber:
          type: string
          description: Shipping tracking number associated with the document.
        URL:
          type: string
          x-gem-only: true
          description: URL of the document.

````